> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bondio.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List addon attachments

> Lists all the addon attachments of a subscription



## OpenAPI

````yaml /openapi.yaml get /v1/subscriptions/{id}/addons
openapi: 3.1.0
info:
  title: Bondio API
  version: '1.0'
  description: Bondio's REST API for eSIM provisioning, plans, subscriptions, and billing.
servers:
  - url: https://api.bondio.co
    description: prod
security:
  - BearerAuth: []
tags:
  - name: Plan
  - name: Esim
  - name: Subscription
  - name: Addon Attachment
paths:
  /v1/subscriptions/{id}/addons:
    parameters:
      - schema:
          type: string
        name: id
        in: path
        required: true
    get:
      tags:
        - Subscription
      summary: List addon attachments
      description: Lists all the addon attachments of a subscription
      operationId: get-subscription-addons
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AddonAttachment'
                  x-stoplight:
                    id: 4z6oh1gzlffzk
              examples: {}
components:
  schemas:
    AddonAttachment:
      title: AddonAttachment
      x-stoplight:
        id: 55qgbjge33wvx
      type: object
      examples:
        - id: addon_do3st1ana
          attachedAt: 17123891233
          addonPlan:
            id: plan_gulabo12
            name: Australia 1GB 7d recurring throttled
            voiceMinutes: 60
            dataMegaBytes: 1024
            smsMessages: 100
            periodDays: 1
            periodIterations: 7
            throttledSpeedKbps: 128
            archivedAt: null
            label: sigma
            createdAt: 1781231233
            coverageProfileId: cvpr_hdy2da3n
      required:
        - id
        - addonPlanId
        - attachedAt
        - addonPlan
      properties:
        id:
          type: string
          x-stoplight:
            id: 3vid5ra8fr3ns
        addonPlanId:
          type: string
          x-stoplight:
            id: ofj9pla28ldol
          deprecated: true
        attachedAt:
          type: integer
          x-stoplight:
            id: yzo63mai5r9sh
        addonPlan:
          $ref: '#/components/schemas/PlanForAttachment'
          x-stoplight:
            id: piyn1gq4vra9v
    PlanForAttachment:
      title: PlanForAttachment
      x-stoplight:
        id: odujx98nt7wac
      type: object
      examples:
        - name: Australia 1GB 7d
          dataMegaBytes: 1024
          periodDays: 1
          periodIterations: 7
          throttledSpeedKbps: 128
          label: alpha
          coverageProfileId: cvpr_ybrs38es
      x-internal: false
      properties:
        name:
          type: string
          deprecated: true
        dataMegaBytes:
          type: integer
        periodDays:
          type: integer
          description: Plan validity in days
        periodIterations:
          type: integer
          description: |
            Number of times the periodDays should be repeated.
          default: 1
        throttledSpeedKbps:
          type: integer
          description: >-
            Speed after allocated data is used up. The default zero means no
            usage allowed afterwards.
          default: 0
        label:
          type: string
          description: The plan-esim compatibility label
        coverageProfileId:
          type: string
          x-stoplight:
            id: 08gh0d0gwjx1r
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````